Skip to main content
GET
/
edd
List EDD
curl --request GET \
  --url https://api-sandbox.synctera.com/v0/edd \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.synctera.com/v0/edd"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.synctera.com/v0/edd', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "edd_reports": [
    {
      "related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "creation_time": "2010-05-06T12:23:34.321Z",
      "deletion_time": "2010-05-06T12:23:34.321Z",
      "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "transaction_purpose": "Phone bill",
      "additional_questions": [
        {
          "answer": "Since 2010",
          "question": "Since when do you work in this position?",
          "section": "reason"
        }
      ],
      "case_id": 50000000000,
      "tenant": "abcdef_ghijkl"
    }
  ],
  "next_page_token": "a8937a0d"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Unique identifier for the related resource. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

Type of related resource. Multiple values can be provided as a comma-separated list.

related resource type

Available options:
ACCOUNT,
BUSINESS,
CUSTOMER,
TRANSACTION
page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List of EDD based on related resource type

edd_reports
(Transaction · object | Account · object | Customer · object | Business · object)[]
required

Array of edd reports.

Additional information submitted about the transaction.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"